unit ustundenplan;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Grids, Buttons;

type

  { Tfstundenplan }

  Tfstundenplan = class(TForm)
    BitBtn1: TBitBtn;
    bstundenplan: TButton;
    bstatistik: TButton;
    bstundenplan_leeren: TButton;
    bstatistik_leeren: TButton;
    lthema: TLabel;
    tstatistik: TStringGrid;
    tstundenplan: TStringGrid;
    procedure bstatistikClick(Sender: TObject);
    procedure bstatistik_leerenClick(Sender: TObject);
    procedure bstundenplanClick(Sender: TObject);
    procedure bstundenplan_leerenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  fstundenplan: Tfstundenplan;
  stpl : ARRAY[1..5,1..8]OF CHAR;
  anzahl : ARRAY[1..10] OF BYTE;
  Azahl,Bzahl : BYTE;

implementation

{$R *.lfm}

{ Tfstundenplan }

procedure Tfstundenplan.bstundenplanClick(Sender: TObject);
VAR s,z : BYTE;
begin
 FOR s:=1 TO 5 DO
  FOR z:=1 TO 8 DO
   BEGIN
   tstundenplan.Cells[s,z]:=CHR(RANDOM(10)+65);
   stpl[s,z]:=tstundenplan.Cells[s,z][1];      //Umwandlung STRINGTyp der Zelle in CHAR, hier 1. Zeichen des Strings in CHAR schreiben
   END;
end;

procedure Tfstundenplan.bstundenplan_leerenClick(Sender: TObject);
VAR s,z : INTEGER;
begin
 FOR s:=1 TO 5 DO
  FOR z:=1 TO 8 DO
   BEGIN
   tstundenplan.Cells[s,z]:=' ';               //mindestens 1 Leerzeichen stehen lassen
   stpl[s,z]:=tstundenplan.Cells[s,z][1];      //Umwandlung STRINGTyp der Zelle in CHAR, hier 1. Zeichen des Strings in CHAR schreiben
   END;
end;

procedure Tfstundenplan.bstatistikClick(Sender: TObject);
VAR s,z,i : BYTE;

begin
 //Initialisierung
   //Ihre Arbeit

 //Statistik erstellen
   //Ihre Arbeit

 //Ausgaben
   //Ihre Arbeit
end;

procedure Tfstundenplan.bstatistik_leerenClick(Sender: TObject);
VAR i : INTEGER;
begin
 FOR i:=1 TO 10 DO anzahl[i]:=0;
 FOR i:=1 TO 10 DO tstatistik.Cells[i,1]:='';
end;

procedure Tfstundenplan.FormCreate(Sender: TObject);
VAR z : INTEGER;
begin
 //Zufallszahlenfolge neu starten
 RANDOMIZE;

 //Tabelle1 beschriften
 FOR z:=1 to 8 DO tstundenplan.Cells[0,z]:=INTTOSTR(z)+'. Stunde';
 tstundenplan.Cells[1,0]:='Mon';
 tstundenplan.Cells[2,0]:='Die';
 tstundenplan.Cells[3,0]:='Mit';
 tstundenplan.Cells[4,0]:='Don';
 tstundenplan.Cells[5,0]:='Fre';

 //Tabelle2 beschriften
 FOR z:=1 TO 10 DO tstatistik.Cells[z,0]:=CHR(64+z);
 tstatistik.Cells[0,0]:='Fächer';
 tstatistik.Cells[0,1]:='Anzahl';

 //Initialisierung
 Azahl:=0; Bzahl:=0;
end;

end.

